from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class ModaliteService(BaseModel):
    codeEtablissement: str
    codeTempsIncomplet: Optional[str]
    codeTypeModaliteService: str
    dateDebutModaliteService: datetime
    dateFinModaliteService: datetime
    heurePresenceParMois: float
    heurePresenceParSemaine: float
    heuresPresenceParJour: float
    libCourtEtablissement: str
    libLongEtablissement: str
    libLongTempsIncomplet: Optional[str]
    libLongTypeModaliteService: str
    matricule: str
    numeroArreteModaliteService: str
    ratioHeurePresenceTempsPlein: float
    temValiditeModaliteService: str