from pydantic import BaseModel, conint, conlist, constr
from datetime import datetime


class EmailNumero(BaseModel):
    """
    Modèle représentant un numéro de téléphone ou un e-mail.
    """
    codeTypologieNumeroMail: str
    dateDebutTelephone: datetime
    libLongTypologieNumeroMail: str
    matricule: str
    numeroMail: str
