from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Fonction(BaseModel):
    matricule: Optional[str]
    codeTypeFonction: Optional[str]
    libLongTypeFonction: Optional[str]
    codeFonction: Optional[str]
    libLongFonction: Optional[str]
    dateDebFonction: Optional[datetime]
    dateFinFonction: Optional[datetime]
    temPortePoste: Optional[str]


class ResponsabiliteHierarchique(BaseModel):
    matricule: str
    codeUO: Optional[str]
    libLongUO: Optional[str]
    dateDebRespHierarchique: Optional[datetime]
    dateFinRespHierarchique: Optional[datetime]


class FonctionElective(BaseModel):
    matricule: Optional[str]
    codeMandat: Optional[str]
    libLongMandat: Optional[str]
    dateDebutMandat: Optional[datetime]
    dateFinMandat: Optional[datetime]
    codeInstance: Optional[str]
    libLongInstance: Optional[str]